%define anolis_release 1
%global maj 0

Name:       sord
Version:    0.16.14
Release:    %{anolis_release}%{?dist}
Summary:    A lightweight Resource Description Framework (RDF) C library

License:    ISC
URL:        https://drobilla.net/software/%{name}.html
Source0:    https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: serd-devel >= 0.30.10
BuildRequires: gcc
BuildRequires: meson
BuildRequires: pcre-devel

%description
%{name} is a lightweight C library for storing Resource Description
Framework (RDF) data in memory. %{name} and parent library serd form 
a lightweight RDF tool-set for resource limited or performance critical 
applications.

%package devel
Summary:    Development libraries and headers for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
%{name} is a lightweight C library for storing Resource Description
Framework (RDF) data in memory.

This package contains the headers and development libraries for %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

# Move devel docs to the right directory
install -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_docdir}/%{name}-%{maj} %{buildroot}%{_docdir}/%{name}

%generate_compatibility_deps

%check
%meson_test

%files
%license COPYING
%{_libdir}/lib%{name}-%{maj}.so.%{maj}*
%{_bindir}/sordi
%{_bindir}/sord_validate
%{_mandir}/man1/%{name}*.1*
%dir %{abidir}
%{abidir}/libsord-0.dump
%{abidir}/sord_validate-option.list
%{abidir}/sordi-option.list

%files devel
%{_pkgdocdir}/%{name}-%{maj}/
%{_libdir}/lib%{name}-%{maj}.so
%{_libdir}/pkgconfig/%{name}-%{maj}.pc
%{_includedir}/%{name}-%{maj}/

%files doc
%{_pkgdocdir}

%changelog
* Wed Mar 29 2023 happy_orange <songnannan@linux.alibaba.com> - 0.16.14-1
- init package
